## python-aiohttp-retry 2.8.3

=== requirements.txt ===
aiohttp
yarl

=== debian/changelog ===
python-aiohttp-retry (2.8.3-2) unstable; urgency=medium

  * Team upload
  * Source-only upload

 -- Jérémy Lal <kapouer@melix.org>  Thu, 01 Feb 2024 18:20:33 +0100

python-aiohttp-retry (2.8.3-1) unstable; urgency=medium

  * Initial upload (Closes: #1032208)

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 30 Jan 2023 10:09:35 +0000

=== debian/control ===
Source: python-aiohttp-retry
Priority: optional
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Yaroslav Halchenko <debian@oneukrainian.com>,
 Vasyl Gello <vasek.gello@gmail.com>
Build-Depends:
# Build
 debhelper (>= 10),
 dh-python,
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-aiohttp,
 python3-setuptools,
 python3-yarl,
# Testing
 python3-pytest <!nocheck>,
 python3-pytest-aiohttp <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aiohttp-retry
Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiohttp-retry.git -b debian/sid
Homepage: https://github.com/inyutin/aiohttp_retry
Testsuite: autopkgtest-pkg-pybuild

Package: python3-aiohttp-retry
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Simple aiohttp retry client
 This package provides aiohttp-retry - the python3 library extending
 aiohttp with retry support.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=aiohttp-retry
export PYBUILD_TEST_ARGS=--asyncio-mode=auto

%:
	dh $@ --buildsystem=pybuild

override_dh_python3:
	dh_python3 --requires=requirements.txt

=== debian/watch ===
version=4

opts="mode=git, \
      pgpmode=none, \
      compression=gz, \
      dversionmangle=auto" \
https://github.com/inyutin/aiohttp-retry \
refs/tags/@ANY_VERSION@ \
debian
